> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Set default access



## OpenAPI

````yaml put /api/v2/employees/{employeeId}/goodies/default-access
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees/{employeeId}/goodies/default-access:
    put:
      operationId: ApiV2EmployeeGoodiesController_setGoodiesDefaultAccess
      parameters:
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GoodiesDefaultAccessInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GoodiesDefaultAccessOutputDto'
      security:
        - bearer: []
components:
  schemas:
    GoodiesDefaultAccessInputDto:
      type: object
      properties:
        startDate:
          format: date-time
          type: string
          description: >-
            Make sure the date is UTC+0. To have the access applied on 1st of
            January 2023, the input would be: 2023-01-01T00:00:00.000Z.It is
            important to note that this date can not be in the past or the
            current month.If the current date is 2023-02-12, the earliest valid
            date is 2023-03-01
        endDate:
          format: date-time
          type: string
          description: >-
            Make sure the date is UTC+0. To have the access terminated on the
            end of January 2023, the input would be: 2023-01-31T23:59:59.999Z
      required:
        - startDate
    GoodiesDefaultAccessOutputDto:
      type: object
      properties:
        id:
          type: string
        employeeId:
          type: string
        validFrom:
          format: date-time
          type: string
        validTo:
          format: date-time
          type: string
      required:
        - id
        - employeeId
        - validFrom
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````